Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -12498,24 +12374,24 @@
                 'condiso_liq_ice_vectall 91').eq.1).or. &
                 (iso_verif_noNaN_nostop(zxtice(ixt,i), &
-                'condiso_liq_ice_vectall 92').eq.1)) then
-                 write(*,*) 'zxtalphal(ixt,i)=',zxtalphal(ixt,i)
-                 write(*,*) 'xt(ixt,i)=',xt(ixt,i)
-                 write(*,*) 'zcond(i)=',zcond(i)
-                 write(*,*) 'qt(i)=',qt(i)
+                'condiso_liq_ice_vectall 92').eq.1)) THEN
+                 WRITE(*,*) 'zxtalphal(ixt,i)=',zxtalphal(ixt,i)
+                 WRITE(*,*) 'xt(ixt,i)=',xt(ixt,i)
+                 WRITE(*,*) 'zcond(i)=',zcond(i)
+                 WRITE(*,*) 'qt(i)=',qt(i)
                  stop
               endif
             enddo !do ixt=1,niso 
  
-          if (zfice(i).lt.1.0) then  
+          if (zfice(i).lt.1.0) THEN
             do ixt=1,niso  
               CALL iso_verif_noNaN(zxtliq(ixt,i), &
                 'condiso_liq_ice_vectall 91')
             enddo
-            if (iso_eau.gt.0) then   
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtliq(iso_eau,i),cond(i), &
                 'condiso_liq_ice_vectall 30',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if (iso_HDO.gt.0) then 
-              if (cond(i).gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if (iso_HDO.gt.0) THEN
+              if (cond(i).gt.ridicule) THEN
 #ifdef ISOTRAC
                   CALL iso_verif_aberrant_choix( &
@@ -12527,72 +12403,70 @@
                      zxtliq(iso_HDO,i),cond(i), &
                      ridicule,deltalim_snow, &
-                     'condiso_liq_ice_vectall 32b').eq.1) then
-                    write(*,*) 'deltaDvap=',deltaD(xt(iso_hdo,i)/qt(i))
-                    write(*,*) 'T,alphal=', &
+                     'condiso_liq_ice_vectall 32b').eq.1) THEN
+                    WRITE(*,*) 'deltaDvap=',deltaD(xt(iso_hdo,i)/qt(i))
+                    WRITE(*,*) 'T,alphal=', &
                         tcond(i)-t_coup,zxtalphal(iso_hdo,i)
-                    write(*,*) 'qt(i)=',qt(i)
+                    WRITE(*,*) 'qt(i)=',qt(i)
                     stop
                   endif !if (iso_verif_aberrant_nostop(
                   
-                    if (iso_O18.gt.0) then
+                    if (iso_O18.gt.0) THEN
                     if (iso_verif_O18_aberrant_nostop( &
                     zxtliq(iso_HDO,i)/cond(i), &
                     zxtliq(iso_O18,i)/cond(i), &
-                    'condiso_liq_ice_vectall 12546').eq.1) then
-                        write(*,*) 'debug condiso_liq_ice_vect 12364: i,zfice=',i,zfice (i)
-                        write(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
-                        write(*,*) 'deltaD(xt(iso_HDO)/qt)=',deltaD(xt(iso_HDO,i)/qt(i))
-                        write(*,*) 'deltaD(zxtliq/cond)=',deltaD(zxtliq(iso_HDO,i)/cond(i))
-                        write(*,*) 'deltaO18(xt(iso_HDO)/qt)=',deltaO(xt(iso_O18,i)/qt(i))
-                        write(*,*) 'deltaO18(zxtliq/cond)=',deltaO(zxtliq(iso_O18,i)/cond(i))
-                        write(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
+                    'condiso_liq_ice_vectall 12546').eq.1) THEN
+                        WRITE(*,*) 'debug condiso_liq_ice_vect 12364: i,zfice=',i,zfice (i)
+                        WRITE(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
+                        WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=',deltaD(xt(iso_HDO,i)/qt(i))
+                        WRITE(*,*) 'deltaD(zxtliq/cond)=',deltaD(zxtliq(iso_HDO,i)/cond(i))
+                        WRITE(*,*) 'deltaO18(xt(iso_HDO)/qt)=',deltaO(xt(iso_O18,i)/qt(i))
+                        WRITE(*,*) 'deltaO18(zxtliq/cond)=',deltaO(zxtliq(iso_O18,i)/cond(i))
+                        WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
                         !stop ! Camille 9 mars 2023: trop strict
                     endif  !if (iso_verif_O18_aberrant_nostop(     
-                    endif ! if (iso_O18.gt.0) then      
+                    endif ! if (iso_O18.gt.0) THEN
 #endif                                     
 
-                endif !if (cond(i).gt.ridicule) then
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then 
-
-        endif !if (zfice.lt.1) then
-
-          if (zfice(i).gt.0) then 
+                endif !if (cond(i).gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+        endif !if (zfice.lt.1) THEN
+          if (zfice(i).gt.0) THEN
             do ixt=1,niso    
               if (iso_verif_noNAN_nostop(zxtice(ixt,i), &
-                'condiso_liq_ice_vectall 417').eq.1) then
-                write(*,*) 'ixt,i=',ixt,i
-                write(*,*) 'xt(ixt,i)=',xt(ixt,i)
-                write(*,*) 'qt(i)=',qt(i)
-                write(*,*) 'zcond(i),zcond/qt=',zcond(i),zcond(i)/qt(i)
-                write(*,*) 'zxtalphai(ixt,i)=',zxtalphai(ixt,i)
+                'condiso_liq_ice_vectall 417').eq.1) THEN
+                WRITE(*,*) 'ixt,i=',ixt,i
+                WRITE(*,*) 'xt(ixt,i)=',xt(ixt,i)
+                WRITE(*,*) 'qt(i)=',qt(i)
+                WRITE(*,*) 'zcond(i),zcond/qt=',zcond(i),zcond(i)/qt(i)
+                WRITE(*,*) 'zxtalphai(ixt,i)=',zxtalphai(ixt,i)
                 stop
               endif
             enddo !do ixt=1,niso    
-            if (iso_eau.gt.0) then      
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtice(iso_eau,i),cond(i), &
                         'condiso_liq_ice_vectall 31',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if (iso_HDO.gt.0) then 
-              if (cond(i).gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if (iso_HDO.gt.0) THEN
+              if (cond(i).gt.ridicule) THEN
                 if (iso_verif_aberrant_nostop( &
                     zxtice(iso_HDO,i)/cond(i)/faccond, &
-                    'condiso_liq_ice_vectall 414').eq.1) then
-                  write(*,*) 'debug condiso_liq_ice_vect 13364: i,zfice=', &
+                    'condiso_liq_ice_vectall 414').eq.1) THEN
+                  WRITE(*,*) 'debug condiso_liq_ice_vect 13364: i,zfice=', &
                         i,zfice (i)
-                  write(*,*) 'cond,qt,cond/qt=',cond(i)/qt(i), &
+                  WRITE(*,*) 'cond,qt,cond/qt=',cond(i)/qt(i), &
                         cond(i),qt(i)
-                  write(*,*) 'xt(iso_HDO)/qt=', &
+                  WRITE(*,*) 'xt(iso_HDO)/qt=', &
                         xt(iso_HDO,i)/qt(i)
-                  write(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
+                  WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
                     deltaD(xt(iso_HDO,i)/qt(i))
-                  write(*,*) 'zxtalphai(iso_HDO)=', &
+                  WRITE(*,*) 'zxtalphai(iso_HDO)=', &
                         zxtalphai(iso_HDO,i)
-                  write(*,*) 'Rice/Rv0=',qt(i)/cond(i)* &
+                  WRITE(*,*) 'Rice/Rv0=',qt(i)/cond(i)* &
                         (1.0-(1.0-cond(i)/qt(i))**zxtalphai(iso_HDO,i))
-                  write(*,*) 'deltaD(zxtice/cond)=', &
+                  WRITE(*,*) 'deltaD(zxtice/cond)=', &
                         deltaD(zxtice(iso_HDO,i)/cond(i))
-                  write(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
-
-                  if (tcond(i)-t_coup.gt.-40.0) then 
+                  WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
+
+                  if (tcond(i)-t_coup.gt.-40.0) THEN
                      ! sinon, c'est pas grave, il y aura juste une
                      ! abérrance dans les zones très froides. 
@@ -12606,30 +12480,29 @@
                     stop 
 #endif 
-                  endif !if (tcond(i)-t_coup.gt.-40.0) then
+                  endif !if (tcond(i)-t_coup.gt.-40.0) THEN
                   endif !if (iso_verif_aberrant_nostop
 
-                    if (iso_O18.gt.0) then
+                    if (iso_O18.gt.0) THEN
                     if (iso_verif_O18_aberrant_nostop( &
                     zxtice(iso_HDO,i)/cond(i), &
                     zxtice(iso_O18,i)/cond(i), &
-                    'condiso_liq_ice_vectall 12601').eq.1) then
-                        write(*,*) 'debug condiso_liq_ice_vect 364: i,zfice=',i,zfice (i)
-                        write(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
-                        write(*,*) 'deltaD(xt(iso_HDO)/qt)=',deltaD(xt(iso_HDO,i)/qt(i))
-                        write(*,*) 'deltaD(zxtice/cond)=',deltaD(zxtice(iso_HDO,i)/cond(i))
-                        write(*,*) 'deltaO18(xt(iso_HDO)/qt)=',deltaO(xt(iso_O18,i)/qt(i))
-                        write(*,*) 'deltaO18(zxtice/cond)=',deltaO(zxtice(iso_O18,i)/cond(i))
-                        write(*,*) 'dexcess vap=',deltaD(xt(iso_HDO,i)/qt(i)) &
+                    'condiso_liq_ice_vectall 12601').eq.1) THEN
+                        WRITE(*,*) 'debug condiso_liq_ice_vect 364: i,zfice=',i,zfice (i)
+                        WRITE(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
+                        WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=',deltaD(xt(iso_HDO,i)/qt(i))
+                        WRITE(*,*) 'deltaD(zxtice/cond)=',deltaD(zxtice(iso_HDO,i)/cond(i))
+                        WRITE(*,*) 'deltaO18(xt(iso_HDO)/qt)=',deltaO(xt(iso_O18,i)/qt(i))
+                        WRITE(*,*) 'deltaO18(zxtice/cond)=',deltaO(zxtice(iso_O18,i)/cond(i))
+                        WRITE(*,*) 'dexcess vap=',deltaD(xt(iso_HDO,i)/qt(i)) &
 &                                -8*deltaO(xt(iso_O18,i)/qt(i))
-                        write(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
-                        write(*,*) 'zxtalphai(iso_O18,i)=',zxtalphai(iso_O18,i)
-                        write(*,*) 'xt(1:niso,i)=',xt(1:niso,i)
+                        WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
+                        WRITE(*,*) 'zxtalphai(iso_O18,i)=',zxtalphai(iso_O18,i)
+                        WRITE(*,*) 'xt(1:niso,i)=',xt(1:niso,i)
                         !stop ! Camille 9 mars 2023: trop strict
                     endif  !if (iso_verif_O18_aberrant_nostop(     
-                    endif ! if (iso_O18.gt.0) then
-                endif !if (cond.gt.ridicule) then
-
+                    endif ! if (iso_O18.gt.0) THEN
+                endif !if (cond.gt.ridicule) THEN
                 if ((zcond(i)/max(qt(i),1e-15).gt.0.95).and. &
-                     (zfice(i).eq.1).and.(qt(i).gt.5e-4)) then
+                     (zfice(i).eq.1).and.(qt(i).gt.5e-4)) THEN
                    ! verif que la vapeur est très pauvre
                    do ixt=1,niso
@@ -12651,19 +12524,19 @@
 #endif                   
                    qv(i)=qt(i)-zcond(i)
-                   if (qv(i).gt.ridicule) then
-                   if (deltaD(xtv(iso_HDO,i)/qv(i)).gt.-200.0) then
-                        write(*,*) 'condiso 454: deltaDv trop fort'
-                        write(*,*) 'tcond(i)-t_coup=',tcond(i)-t_coup
-                        write(*,*) 'xt(:,i)=',xt(:,i)
-                        write(*,*) 'zxtice(:,i)=',zxtice(:,i)
-                        write(*,*) 'xtv(:,i)=',xtv(:,i)
-                        write(*,*) 'zxtalphai(:,i)=',zxtalphai(:,i)
-                        write(*,*) 'qt(i),zcond(i)=',qt(i),zcond(i)
+                   if (qv(i).gt.ridicule) THEN
+                   if (deltaD(xtv(iso_HDO,i)/qv(i)).gt.-200.0) THEN
+                        WRITE(*,*) 'condiso 454: deltaDv trop fort'
+                        WRITE(*,*) 'tcond(i)-t_coup=',tcond(i)-t_coup
+                        WRITE(*,*) 'xt(:,i)=',xt(:,i)
+                        WRITE(*,*) 'zxtice(:,i)=',zxtice(:,i)
+                        WRITE(*,*) 'xtv(:,i)=',xtv(:,i)
+                        WRITE(*,*) 'zxtalphai(:,i)=',zxtalphai(:,i)
+                        WRITE(*,*) 'qt(i),zcond(i)=',qt(i),zcond(i)
                         stop
                    endif  !if (deltaD((xt(ixt,i)-zxtice(ixt,i))/
-                   endif !if (qv(i).gt.ridicule) then
-                endif !if (zcond(i)/qt(i).gt.0.95) then
-            endif !if (iso_HDO.gt.0) then
-          endif !if (zfice.gt.0) then             
+                   endif !if (qv(i).gt.ridicule) THEN
+                endif !if (zcond(i)/qt(i).gt.0.95) THEN
+            endif !if (iso_HDO.gt.0) THEN
+          endif !if (zfice.gt.0) THEN
           enddo ! do i=1,n    
         
@@ -12672,25 +12545,25 @@
 #ifdef ISOVERIF       
         ! ajout temporaire le 28 oct:
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
          do i=1,n
-          if (zfice(i).gt.0.9) then
+          if (zfice(i).gt.0.9) THEN
               if (iso_verif_aberrant_choix_nostop( &
                 zxtice(iso_HDO,i),cond(i),ridicule,deltalim_snow, &
                 ! Camille 9 mars 2023: pour le condensat, on laisse plus de
                 ! marge
-                'condiso_liq_ice_vect 412').eq.1) then
-                write(*,*) 'debug condiso_liq_ice_vect 449: i,zfice=', &
+                'condiso_liq_ice_vect 412').eq.1) THEN
+                WRITE(*,*) 'debug condiso_liq_ice_vect 449: i,zfice=', &
                         i,zfice (i)
-                  write(*,*) 'cond/qt=',cond(i)/qt(i)
-                  write(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
+                  WRITE(*,*) 'cond/qt=',cond(i)/qt(i)
+                  WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
                     deltaD(xt(iso_HDO,i)/qt(i))
-                  write(*,*) 'zxtalphai(iso_HDO)=', &
+                  WRITE(*,*) 'zxtalphai(iso_HDO)=', &
                         zxtalphai(iso_HDO,i)
-                  write(*,*) 'Rice/Rv0=',qt(i)/cond(i)* &
+                  WRITE(*,*) 'Rice/Rv0=',qt(i)/cond(i)* &
                         (1.0-(1.0-cond(i)/qt(i))**zxtalphai(iso_HDO,i))
-                  write(*,*) 'deltaD(zxtice/cond)=', &
+                  WRITE(*,*) 'deltaD(zxtice/cond)=', &
                         deltaD(zxtice(iso_HDO,i)/cond(i))
-                  write(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
-                  if (tcond(i)-t_coup.gt.-40.0) then 
+                  WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
+                  if (tcond(i)-t_coup.gt.-40.0) THEN
                      ! sinon, c'est pas grave, il y aura juste une
                      ! abérrance dans les zones très froides. 
@@ -12708,5 +12581,5 @@
           endif
          enddo
-        endif !if (iso_HDO.gt.0) then 
+        endif !if (iso_HDO.gt.0) THEN
 #endif 
         ! end verif
@@ -12728,5 +12601,5 @@
         enddo !do ixt=1,niso
       enddo !do i=1,n  
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do i=1,n    
             CALL iso_verif_egalite_choix(zxtice(iso_eau,i) &
@@ -12734,17 +12607,16 @@
                 'condiso_liq_ice_vectall 79',errmax,errmaxrel)
             enddo !do i=1,n  
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-!          write(*,*) 'condiso 477: fin de condiso' 
-#endif
-
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+!          WRITE(*,*) 'condiso 477: fin de condiso'
+#endif
+
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
             ! assurer convergence
            do i=1,n
-            if (zfice(i).eq.1.0) then
+            if (zfice(i).eq.1.0) THEN
                 zxtice(iso_eau,i)=cond(i)
-            endif !if (zfice.eq.1.0) then
+            endif !if (zfice.eq.1.0) THEN
            enddo
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-        
+       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
         do i=1,n
          do ixt=1,niso        
@@ -12789,21 +12661,21 @@
 
         ! traitement rapide du cas où cond=0
-        if (cond.eq.0) then
+        if (cond.eq.0) THEN
             zxtliq=0
             zxtice=0
-            return
+            RETURN
         endif
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) then
-            if (cond.lt.ridicule) then
+        if (qt.eq.0) THEN
+            if (cond.lt.ridicule) THEN
                 zxtliq=0
                 zxtice=0
-                return
+                RETURN
             else
                 ! c'est impossible de condenser qi pas d'eau au départ
-                write(*,*) 'condiso_liq_ice 35'
-                write(*,*) 'qt=',qt
-                write(*,*) 'cond=',cond
+                WRITE(*,*) 'condiso_liq_ice 35'
+                WRITE(*,*) 'qt=',qt
+                WRITE(*,*) 'cond=',cond
                 stop
             endif
@@ -12812,8 +12684,8 @@
         ! verif xt et qt
 #ifdef ISOVERIF
-          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
               CALL iso_verif_egalite_choix &
                (qt,xt,'condiso_liq_ice 51',errmax,errmaxrel)
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
           CALL iso_verif_positif(qt-cond,'condiso_liq_ice 56: cond>qt')
 #endif
@@ -12826,31 +12698,31 @@
             CALL iso_verif_noNAN(zxtalphal,'condiso_liq_ice 65')
             CALL iso_verif_noNAN(zxtalphai,'condiso_liq_ice 66')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
                 CALL iso_verif_egalite(zxtalphal,1.0,'condiso 21')
                 CALL iso_verif_egalite(zxtalphai,1.0,'condiso 21')
-            endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-#endif
-
-#ifdef ISOVERIF
-          if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-            if (qt.gt.ridicule) then
+            endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+#endif
+
+#ifdef ISOVERIF
+          if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            if (qt.gt.ridicule) THEN
                if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond, &
-                'condiso_liq_ice 64').eq.1) then
-!                write(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
-!                write(*,*) 'tcond,fcond,zxtalphai=',
+                'condiso_liq_ice 64').eq.1) THEN
+!                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
+!                WRITE(*,*) 'tcond,fcond,zxtalphai=',
 !     :                   tcond,cond/qt,zxtalphai
 !                stop
               endif !if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond,
-            endif !if (qt.gt.ridicule) then
-          endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
+            endif !if (qt.gt.ridicule) THEN
+          endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
 #endif
         
         
         zxtliq=zxtalphal*xt*cond/(qt+cond*(zxtalphal-1))
-        if (cond/qt.lt.1e-5) then
+        if (cond/qt.lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            zxtice=xt/qt*cond*zxtalphai 
 
-        else if (1.0-cond/qt.lt.ridicule) then
+        else if (1.0-cond/qt.lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12866,37 +12738,37 @@
         ! verif egalité pour ixt=4 et eau normale:
 #ifdef ISOVERIF
-          if (zfice.lt.1) then  
+          if (zfice.lt.1) THEN
             CALL iso_verif_noNAN(zxtliq,'condiso_liq_ice 91')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then            
+            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
               CALL iso_verif_egalite(zxtliq,cond,'condiso_liq_ice 30')
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then 
-                if (cond.gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+                if (cond.gt.ridicule) THEN
                     CALL iso_verif_aberrant(zxtliq/cond, &
                          'condiso_liq_ice 32')
-                endif !if (cond.gt.ridicule) then 
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then      
-          endif !if (zfice.lt.1) then
-          if (zfice.gt.0) then  
+                endif !if (cond.gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+          endif !if (zfice.lt.1) THEN
+          if (zfice.gt.0) THEN
             CALL iso_verif_noNAN(zxtice,'condiso_liq_ice 92')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then      
+            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
               CALL iso_verif_egalite(zxtice,cond,'condiso_liq_ice 31')
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then 
-              if (cond.gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+              if (cond.gt.ridicule) THEN
                 if (iso_verif_aberrant_nostop(zxtice/cond, &
-                       'condiso_liq_ice 33').eq.1) then
-                  write(*,*) 'debug condiso 88: zfice=',zfice 
-                  write(*,*) 'cond/qt=',cond/qt
-                  write(*,*) 'xt/qt=',xt/qt
-                  write(*,*) 'zxtalphai=',zxtalphai
-                  write(*,*) 'qt/cond*(1-(1-cond/qt)**zxtalphai)=', &
+                       'condiso_liq_ice 33').eq.1) THEN
+                  WRITE(*,*) 'debug condiso 88: zfice=',zfice
+                  WRITE(*,*) 'cond/qt=',cond/qt
+                  WRITE(*,*) 'xt/qt=',xt/qt
+                  WRITE(*,*) 'zxtalphai=',zxtalphai
+                  WRITE(*,*) 'qt/cond*(1-(1-cond/qt)**zxtalphai)=', &
                         (qt/cond)*1-(1-cond/qt)**zxtalphai
-                  write(*,*) 'zxtice/cond=',zxtice/cond 
+                  WRITE(*,*) 'zxtice/cond=',zxtice/cond
                   stop
                   endif
-                endif !if (cond.gt.ridicule) then 
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-          endif !if (zfice.gt.0) then       
+                endif !if (cond.gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+          endif !if (zfice.gt.0) THEN
         ! verif que deltaD n'est pas abberant:
           
@@ -12911,20 +12783,19 @@
           CALL iso_verif_noNAN(zxtliq,'condiso_liq_ice 132')
           CALL iso_verif_noNAN(zxtice,'condiso_liq_ice 92')
-          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
             CALL iso_verif_egalite(zxtice+zxtliq,cond, &
                 'condiso_liq_ice 79')
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
           CALL iso_verif_noNAN(zxtice+zxtliq,'condiso_liq_ice 108')
 #endif
 
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-          if (ixt.eq.iso_eau) then
+        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+          if (ixt.eq.iso_eau) THEN
             ! assurer convergence
-            if (zfice.eq.1.0) then
+            if (zfice.eq.1.0) THEN
                 zxtice=cond
-            endif !if (zfice.eq.1.0) then
-        endif !if (ixt.eq.iso_eau) then
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-        
+            endif !if (zfice.eq.1.0) THEN
+        endif !if (ixt.eq.iso_eau) THEN
+       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
         zxtice=max(0.0,zxtice)
         zxtliq=max(0.0,zxtliq)
@@ -13034,5 +12905,5 @@
 
 #ifdef ISOVERIF  
-       if (iso_eau.gt.0) then  
+       if (iso_eau.gt.0) THEN
         do i=1,knon
           CALL iso_verif_egalite_choix( &
@@ -13050,7 +12921,7 @@
 #ifdef ISOVERIF
          if (iso_verif_noNaN_nostop(xtsnow_apres_precip(ixt,i),  &
-               'calcul_iso_surf_vectall 2260').eq.1) then
-            write(*,*) 'xtsnow_prec(ixt,i)=',xtsnow_prec(ixt,i)
-            write(*,*) 'xtprecip_snow(ixt,i)=',xtprecip_snow(ixt,i)
+               'calcul_iso_surf_vectall 2260').eq.1) THEN
+            WRITE(*,*) 'xtsnow_prec(ixt,i)=',xtsnow_prec(ixt,i)
+            WRITE(*,*) 'xtprecip_snow(ixt,i)=',xtprecip_snow(ixt,i)
             stop
          endif
@@ -13063,22 +12934,22 @@
 #ifdef ISOVERIF  
       do i=1,knon         
-        if (iso_eau.gt.0) then  
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop( &
                      xtsnow_apres_precip(iso_eau,i), &
                      snow_apres_precip(i),'calcul_iso_surf_ter 1028', &
-                     errmax,errmaxrel).eq.1) then
-              write(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
+                     errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
                  snow_prec(i),xtsnow_prec(iso_eau,i)
-              write(*,*) 'precip_snow(i),xtprecip_snow(iso_eau,i)=', &
+              WRITE(*,*) 'precip_snow(i),xtprecip_snow(iso_eau,i)=', &
                  precip_snow(i),xtprecip_snow(iso_eau,i)
               stop
             endif
-        endif !if (iso_eau.gt.0) then
-        if (iso_HDO.gt.0) then                   
+        endif !if (iso_eau.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix( &
                    xtsnow_apres_precip(iso_hdo,i), &
                    snow_apres_precip(i),ridicule_snow,deltalim_snow, &
                    'calcul_iso_surf_ter 1931')
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
        enddo
 #endif
@@ -13088,5 +12959,5 @@
         ! quoi fondre.
         do i=1,knon
-          if (snow_evap(i).lt.0.0) then
+          if (snow_evap(i).lt.0.0) THEN
             snow_apres_precip(i)=snow_apres_precip(i)-snow_evap(i)*dtime
             CALL iso_rosee_givre(xt1lay,q1lay,tsurf,t_coup,snow_evap,i, &
@@ -13096,27 +12967,27 @@
                  -xtsnow_evap(ixt,i)*dtime
             enddo !do ixt=1,niso
-          endif !if (snow_evap(i).lt.0.0) then
+          endif !if (snow_evap(i).lt.0.0) THEN
         enddo !do i=1,knon
              
 #ifdef ISOVERIF  
       do i=1,knon         
-        if (iso_eau.gt.0) then  
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop( &
                      xtsnow_apres_precip(iso_eau,i), &
                      snow_apres_precip(i),'calcul_iso_surf_ter 1028', &
-                     errmax,errmaxrel).eq.1) then
-              write(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
+                     errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
                  snow_prec(i),xtsnow_prec(iso_eau,i)
-              write(*,*) 'precip_snow(i),xtprecip_snow(iso_eau,i)=', &
+              WRITE(*,*) 'precip_snow(i),xtprecip_snow(iso_eau,i)=', &
                  precip_snow(i),xtprecip_snow(iso_eau,i)
               stop
             endif
-        endif !if (iso_eau.gt.0) then
-        if (iso_HDO.gt.0) then                   
+        endif !if (iso_eau.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix( &
                    xtsnow_apres_precip(iso_hdo,i), &
                    snow_apres_precip(i),ridicule_snow,deltalim_snow, &
                    'calcul_iso_surf_ter 1931')
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
        enddo
 #endif
@@ -13124,6 +12995,6 @@
         ! on fond la neige
       do i=1,knon  
-        if (fq_fonte_neige(i).gt.ridicule) then
-          if (snow_apres_precip(i).gt.ridicule) then
+        if (fq_fonte_neige(i).gt.ridicule) THEN
+          if (snow_apres_precip(i).gt.ridicule) THEN
             do ixt=1,niso
               Rsnow_apres_precip(ixt,i)=xtsnow_apres_precip(ixt,i)/ &
@@ -13136,29 +13007,29 @@
                  'calcul_iso_surf_ter 2294a').eq.1).or. &
                  (iso_verif_noNaN_nostop(fxt_fonte_neige(ixt,i), &
-                 'calcul_iso_surf_ter 2294b').eq.1)) then
-                write(*,*) 'ixt,i=',ixt,i
-                write(*,*) 'xtsnow_apres_precip,snow_apres_precip=', &
+                 'calcul_iso_surf_ter 2294b').eq.1)) THEN
+                WRITE(*,*) 'ixt,i=',ixt,i
+                WRITE(*,*) 'xtsnow_apres_precip,snow_apres_precip=', &
                          xtsnow_apres_precip(ixt,i), &
                          snow_apres_precip(i)
-                write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+                WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
                 stop
               endif
 #endif
             enddo !do ixt=1,niso
-          else !if (snow_apres_precip(i).gt.0) then
+          else !if (snow_apres_precip(i).gt.0) THEN
                 ! fonte de quoi? pas de neige!!
-              write(*,*) 'calcul_iso_surf_ter 588: fq_fonte_neige(i)=', &
+              WRITE(*,*) 'calcul_iso_surf_ter 588: fq_fonte_neige(i)=', &
                  fq_fonte_neige(i)
-              write(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
-              write(*,*) 'i=',i
-              write(*,*) 'snow_prec(i)=',snow_prec(i)
-              write(*,*) 'precip_snow(i)*dtime=',precip_snow(i)*dtime
+              WRITE(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
+              WRITE(*,*) 'i=',i
+              WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
+              WRITE(*,*) 'precip_snow(i)*dtime=',precip_snow(i)*dtime
               stop
-          endif !if (snow_apres_precip(i).gt.0) then
-        else !endif !if (fq_fonte_neige(i).gt.0.0) then
+          endif !if (snow_apres_precip(i).gt.0) THEN
+        else !endif !if (fq_fonte_neige(i).gt.0.0) THEN
            do ixt=1,niso
               fxt_fonte_neige(ixt,i)=0.0
            enddo !do ixt=1,niso          
-        endif !if (fq_fonte_neige(i).gt.0.0) then
+        endif !if (fq_fonte_neige(i).gt.0.0) THEN
       enddo !do i=1,knon   
 #ifdef ISOVERIF
@@ -13180,8 +13051,8 @@
 #ifdef ISOVERIF
           if (iso_verif_noNaN_nostop(xtsnow_avant_evap(ixt,i), &
-                'calcul_iso_surf_ter 2363').eq.1) then
-                  write(*,*) 'xtsnow_apres_precip(ixt,i)=', &
+                'calcul_iso_surf_ter 2363').eq.1) THEN
+                  WRITE(*,*) 'xtsnow_apres_precip(ixt,i)=', &
                         xtsnow_apres_precip(ixt,i)
-                  write(*,*) 'fxt_fonte_neige(ixt,i)=', &
+                  WRITE(*,*) 'fxt_fonte_neige(ixt,i)=', &
                         fxt_fonte_neige(ixt,i)
                   stop
